repo/gentoo:master commit in: net-dns/smartdns/
"Yixun Lan" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786020300.46fcd41626d0ebd2b45d68e065cb8b6f60cc3093.dlan@gentoo> |
commit: 46fcd41626d0ebd2b45d68e065cb8b6f60cc3093
Author: Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 5 09:59:41 2026 +0000
Commit: Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Thu Aug 6 12:45:00 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46fcd416
net-dns/smartdns: add 48.4
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>
net-dns/smartdns/Manifest | 1 +
net-dns/smartdns/smartdns-48.4.ebuild | 33 +++++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/net-dns/smartdns/Manifest b/net-dns/smartdns/Manifest
index 4ad75f127172..6e2268b25430 100644
--- a/net-dns/smartdns/Manifest
+++ b/net-dns/smartdns/Manifest
@@ -1,2 +1,3 @@
DIST smartdns-47.1.tar.gz 808998 BLAKE2B 1bf789834ff30bed950c852c0f0a2cdfe6118b6318f7ecc7dbeb537e0af19488e84e1f36c5fc8534b17eaf66c019cb77a3560b1238b2c23ff5b47d4a07a5ef8c SHA512 e5179f4a1db3491264a971e198b6de535e9ee4b4bedd2383744cb088b780c5ad811c64ef31944c10abd879ad91b489c15b1eae70331d2f9e2b47ad8b7c1bcd8f
DIST smartdns-48.2.tar.gz 894714 BLAKE2B 2e579ff37da5c885c4fba48d9aa4cd369f80d0db6f9636ef9e8d36e5a9c403fcce04171a72b5134d18ae7e8382290bcf5ea37f6a433b9d043906a0e10b1c05eb SHA512 a513952507a86888f45de87ca86615a0b3d074883abf292843e613a40b43eb0693f4f4d57e449bfb86ab130cbd405ef33a3ba38662a83a6b5e763056e82dfde4
+DIST smartdns-48.4.tar.gz 906312 BLAKE2B 377627215cc80ea7d4a235afd655df9682408d9cd876f3575ed3b88c9ac75a4d5a43bb5e23d1f84b6ce430a3b2ad068b524d974febcdd323973c5f214b190a2b SHA512 07fdc8fc13ef7cb241c66361dedcc6f2c5f8527ee31c48166ab151f44d6cd028badeb4e9b05dde91d1870cde4ac9ea12242c2a28efb7fa6af24bb06ed674aaed
diff --git a/net-dns/smartdns/smartdns-48.4.ebuild b/net-dns/smartdns/smartdns-48.4.ebuild
new file mode 100644
index 000000000000..7c7e6963a8f9
--- /dev/null
+++ b/net-dns/smartdns/smartdns-48.4.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd
+DESCRIPTION="A local DNS server returns the fastest access results"
+HOMEPAGE="https://github.com/pymumu/smartdns"
+SRC_URI="https://github.com/pymumu/smartdns/archive/refs/tags/Release${PV}.tar.gz -> ${P}.tar.gz"
+
+S="${WORKDIR}/${PN}-Release${PV}"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-libs/openssl:0=
+ virtual/zlib
+ "
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -i -e "/install .*default /d" \
+ -e "/install .*init.d /d" Makefile || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" \
+ SYSTEMDSYSTEMUNITDIR="$(systemd_get_systemunitdir)" install
+
+ newconfd "${FILESDIR}"/smartdns.confd smartdns
+ newinitd "${FILESDIR}"/smartdns.initd smartdns
+}